/* -*- Mode: C; c-basic-offset: 2; indent-tabs-mode: nil -*-
 *
 * Pigment Render base library
 *
 * Copyright © 2006 Fluendo Embedded S.L. <www.fluendo.com>
 * All rights reserved.
 *
 * This file is available under one of two license agreements.
 *
 * This file is licensed under the GPL version 2. See "LICENSE.GPL" in
 * the root of this distribution including a special exception to use
 * Pigment with Fluendo's plugins.
 *
 * The GPL part of Pigment is also available under a commercial licensing
 * agreement from Fluendo. See "LICENSE.Pigment" in the root directory
 * of this distribution package for details on that license.
 */

#ifndef __PGM_RENDER_GRADIENT_IFACE_H__
#define __PGM_RENDER_GRADIENT_IFACE_H__

#include <glib-object.h>
#include "pgmrendererror.h"

G_BEGIN_DECLS

#define PGM_RENDER_TYPE_GRADIENT_IFACE             (pgm_render_gradient_iface_get_type ())
#define PGM_RENDER_GRADIENT_IFACE(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), PGM_RENDER_TYPE_GRADIENT_IFACE, PgmRenderGradientIFace))
#define PGM_RENDER_GRADIENT_IFACE_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST((vtable), PGM_RENDER_TYPE_GRADIENT_IFACE, GTypeInterface))
#define PGM_RENDER_IS_GRADIENT_IFACE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), PGM_RENDER_TYPE_GRADIENT_IFACE))
#define PGM_RENDER_IS_GRADIENT_IFACE_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE((vtable), PGM_RENDER_TYPE_GRADIENT_IFACE))
#define PGM_RENDER_GRADIENT_IFACE_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_INTERFACE((inst), PGM_RENDER_TYPE_GRADIENT_IFACE, PgmRenderGradientIFaceClass))

typedef struct _PgmRenderGradientIFace PgmRenderGradientIFace;
typedef struct _PgmRenderGradientIFaceClass PgmRenderGradientIFaceClass;

struct _PgmRenderGradientIFaceClass {
  GTypeInterface parent;

  /* FIXME: Complete */
/*   PgmRenderError (*set_linear)      (PgmRenderGradientIFace *gradient); */
/*   PgmRenderError (*set_radial)      (PgmRenderGradientIFace *gradient); */
/*   PgmRenderError (*set_color_stop)  (PgmRenderGradientIFace *gradient); */
/*   PgmRenderError (*add_color_stops) (PgmRenderGradientIFace *gradient); */
/*   PgmRenderError (*get_color_stops) (PgmRenderGradientIFace *gradient); */
};

GType          pgm_render_gradient_iface_get_type  (void) G_GNUC_CONST;
/* PgmRenderError pgm_render_gradient_set_linear      (PgmRenderGradientIFace *gradient); */
/* PgmRenderError pgm_render_gradient_set_radial      (PgmRenderGradientIFace *gradient); */
/* PgmRenderError pgm_render_gradient_set_color_stop  (PgmRenderGradientIFace *gradient); */
/* PgmRenderError pgm_render_gradient_add_color_stops (PgmRenderGradientIFace *gradient); */
/* PgmRenderError pgm_render_gradient_get_color_stops (PgmRenderGradientIFace *gradient); */

G_END_DECLS

#endif /* __PGM_RENDER_GRADIENT_IFACE_H__ */
